<template>
  <div class="lebarlistproduk" style=" max-width: 1360px; width: 100%; margin: auto">
    <q-img class="teslur"
      src="~assets/bgtext2.png" style="width: 350px; height: 60px; margin-top: 20px; margin-bottom: 10px">
    <h5 style=" margin-left: 10px; margin-top: 10px; color: white">{{ flag }}</h5>
    </q-img>
    <vue-horizontal-list :items="items" :options="{responsive: [{end: 576, size: 2}, {start: 576, end: 768, size: 3},{start: 768, end: 992, size: 4},{size: 4}]}" v-if="items.length">
      <template v-slot:default="{item}" >
        <q-card class="my-card items-center hover-grey"  style="cursor: pointer" flat bordered>
          <q-img :src="item.main_image" v-if="item.main_image != ''" style="height: 200px; object-fit: cover"/>
          <q-img src="~assets/no_photo.png" v-else style="height: 200px; object-fit: cover"/>
          <q-card-section style="padding-top: 0px; white-space: nowrap;overflow: hidden;text-overflow: ellipsis">
            <div style="height: 64px; white-space: normal" class="text-h5 q-mt-sm q-mb-xs ellipsis-2-lines" @click="goToDetail(item.id)">{{ item.name_product }}</div>

            <div style="margin-top: 20px" class="text-caption text-grey" v-if="item.price != 0" >{{ item.price | currency }} </div>
            <div style="margin-top: 20px" class="text-caption text-grey ellipsis" v-else>{{ item.starting_price | currency }} - {{ item.final_price | currency }} </div>

            <div class="row" style="margin-top: 10px">
              <p class="ellipsis"> <q-icon name="location_on" size="150%"></q-icon>{{ (item.address.kota) ? item.address.kota.name : "Indonesia" }}</p>
            </div>
          </q-card-section>
        </q-card>
      </template>
    </vue-horizontal-list>
    <div v-else>
      <q-card>
        <q-card-section style="text-align: center">
          Product Tidak Ditemukan
        </q-card-section>
      </q-card>
    </div>
  </div>

</template>



<script>
import VueHorizontalList from "vue-horizontal-list";


export default {
  name: 'ListProductHome',

  components: {
    VueHorizontalList
  },

  data () {
    return {
      products: [

      ]
    }
  },

  filters: {
    currency(price) {
      return new Intl.NumberFormat("id-ID", {
        style: "currency",
        currency: "IDR",
        minimumFractionDigits: 2
      }).format(price);
    }
  },

  methods: {
    goToDetail: function (id) {
      this.$router.push("product/" + id);
    }
  },

  computed: {
    flag() {
      return this.$attrs.flag;
    },

    items() {
      if (this.$store.state.product.listProductHome) {
        return this.$store.state.product.listProductHome.filter(x => {
          return x.product_type.product_type == this.flag;
        });
      } else {
        return [];
      }
    }
  }
}
</script>

<style>
.hover-grey:hover {
  background-color: #ededed;
}
</style>

<style lang="scss" scoped>
.lebarlistproduk {
@media screen and (min-width: 0px) and (max-width: 991px) {
  width: 88%;
}
}


.teslur {
  width: 350px;
  @media screen and (min-width: 0px) and (max-width: 991px) {
    width: 200px;
  }
}
</style>
